Loading...
Searching...
No Matches
thread.hpp File Reference
`#include <uhd/config.hpp>`
`#include <boost/thread/thread.hpp>`
`#include <string>`
`#include <thread>`
Include dependency graph for thread.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | uhd

## Functions

UHD_API void | uhd::set_thread_priority (float priority=DEFAULT_THREAD_PRIORITY, bool realtime=true)
UHD_API bool | uhd::set_thread_priority_safe (float priority=DEFAULT_THREAD_PRIORITY, bool realtime=true)
UHD_API void | uhd::set_thread_name (boost::thread *thread, const std::string &name)
UHD_API void | uhd::set_thread_name (std::thread *thread, const std::string &name)
UHD_API void | uhd::set_thread_affinity (const std::vector< size_t > &cpu_affinity_list)

## Variables

constexpr float | uhd::DEFAULT_THREAD_PRIORITY = float(0.5)